# PSF-LoginServer - master - net.psforever.objects.geometry.Line
PSF - LoginServer - master - net.psforever.objects.geometry.Line
Keywords: PSF LoginServer master net.psforever.objects.geometry.Line

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package geometry
  Definition Classes
    objects
-  package d2
  Definition Classes
    geometry
-  package d3
  Definition Classes
    geometry
- AxisAlignment
- AxisAlignment2D
- AxisAlignment3D
- Geometry
- GeometryForm
- Line
- Point
- PrimitiveGeometry
- Segment
- Slope

t

net.psforever.objects.geometry

# Line

###

#### trait Line extends Slope

Characteristics of a geometric figure indicating an infinite slope - a mathematical line. The slope is always a unit vector. The point that assists to define the line is a constraint that the line must pass through.

Source
  PrimitiveGeometry.scala

Linear Supertypes
Slope, AnyRef, Any
Known Subclasses
Line, Ray

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Line
2. Slope
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Abstract Value Members

1.  abstract def d: Vector3

   The slope itself.

   The slope itself.

   returns

     a `Vector3` entity

   Definition Classes
     Slope
2.  abstract def p: Point

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  def length: Float

    The length of a mathematical line is infinite.

    The length of a mathematical line is infinite.

    returns

      The length of the slope

    Definition Classes
      Line → Slope
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
17.  def toString(): String
    Definition Classes
      AnyRef → Any
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Slope

### Inherited from AnyRef

### Inherited from Any

### Ungrouped